# 向 LAG 添加端口 提交您的用户凭据,客户端ID和客户端机密以进行OAuth2验证。有关如何致电OAuth API以验证和验证您的凭据的说明,请参阅[API验证](https://docs.equinix.com/zh-Hans/equinix-api/api-authentication.md)。 要向虚拟端口添加物理端口,请向端点发送`POST`请求[`/fabric/v4/ports/{uuid}/physicalPorts/bulk`](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/ports/addtolag.md)。 | | | | ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | 方法 | `POST` | | URL 或端点 | `/fabric/v4/ports/{uuid}/physicalPorts/bulk` | | 标题 | `Authorization`,`Content-Type` | | 路径参数 | `uuid` | | 查询参数 | 不适用 | | 身体参数 | `type`,`state`,`account` `interfaceSpeed` `bandwidth`,,`interfaceType`,`uuid`,`tether` `demarcationPoint` `settings`,,`interface`,`notifications`,`additionalInfo` `order` `operation`,,`loas` | cURL 请求示例: ``` curl -X POST 'https://api.equinix.com/fabric/v4/ports/c64de7e5-7fe7-41e6-b984-80d5aa159a0d/physicalPorts/bulk' -H 'Content-Type: application/json' -H 'Authorization: Bearer ' -d '{ "data": [ { "type": "XF_PHYSICAL_PORT", "demarcationPoint": { "ibx": "AM1", "cabinetUniqueSpaceId": "AM1:02:032575:0105", "cageUniqueSpaceId": "AM1:02:032575", "patchPanel": "PP:0105:1260379", "patchPanelPortA": 14, "patchPanelPortB": 15, "connectorType": "LC" }, "account": { "accountNumber": 17829 }, "order": { "purchaseOrder": { "number": 156576, "amount": 10, "startDate": "2018-06-11T22:25:52.206Z", "endDate": "2018-07-11T22:25:52.206Z", "type": "NEW" }, "signature": { "signatory": "DELEGATE", "delegate": { "firstName": "John", "lastName": "Doe", "email": "john.doe@company.com" } } }, "notifications": [ { "registeredUsers": [ "jaguarsuser-port-order" ], "type": "NOTIFICATION" } ] }, { "type": "XF_PHYSICAL_PORT", "account": { "accountNumber": 17829 }, "demarcationPoint": { "ibx": "AM1", "cabinetUniqueSpaceId": "AM1:02:032575:0105", "cageUniqueSpaceId": "AM1:02:032575", "patchPanel": "PP:0105:1260379", "patchPanelPortA": 16, "patchPanelPortB": 17, "connectorType": "LC" }, "order": { "purchaseOrder": { "number": 156576, "amount": 10, "startDate": "2018-06-11T22:25:52.206Z", "endDate": "2018-07-11T22:25:52.206Z", "type": "NEW" }, "signature": { "signatory": "DELEGATE", "delegate": { "firstName": "John", "lastName": "Doe", "email": "john.doe@company.com" } } }, "notifications": [ { "registeredUsers": [ "jaguarsuser-port-order" ], "type": "NOTIFICATION" } ] } ] }' ``` 示例回答: ``` { "data": [ { "type": "XF_PHYSICAL_PORT", "demarcationPoint": { "cabinetUniqueSpaceId": "Demarc", "cageUniqueSpaceId": "GV1:01:002174", "patchPanel": "CP:Demarc:1259684", "patchPanelPortA": "39", "patchPanelPortB": "40", "connectorType": "SC", "ibx": "GV1" }, "order": { "orderNumber": "1-210210611904", "uuid": "bdfa360d-8ffb-4394-8905-56ea6ae3e87d" }, "notifications": [ { "type": "NOTIFICATION", "registeredUsers": [ "jaguarsuser-port-order" ] } ] }, { "type": "XF_PHYSICAL_PORT", "demarcationPoint": { "cabinetUniqueSpaceId": "Demarc", "cageUniqueSpaceId": "GV1:01:002174", "patchPanel": "CP:Demarc:1259684", "patchPanelPortA": "41", "patchPanelPortB": "42", "connectorType": "SC", "ibx": "GV1" }, "order": { "orderNumber": "1-210210611904", "uuid": "bdfa360d-8ffb-4394-8905-56ea6ae3e87d" }, "notifications": [ { "type": "NOTIFICATION", "registeredUsers": [ "jaguarsuser-port-order" ] } ] } ] } ``` 有关响应的详细说明,请参阅[API参考](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/ports/addtolag.md)。